**Preparing IPUMS Data for Data Exercise 1**

**restrict the sample to those over age 18 and under age 65**
sum age
drop if age<18
drop if age>65
sum age

**restrict the sample to those who are employed**
tab empstat
keep if empstat==1
tab empstat

**restrict the sample to those who worked at least 50 wks and 30 hrs in a usual wk**
tab wkswork2
keep if wkswork2==6
tab wkswork2

sum uhrswork
drop if uhrswork<30
tab uhrswork

**create categories for education levels (high school or less, some college, and college or more**
tab educ
gen hsorless=1
replace hsorless=0 if educ>6
tab hsorless
gen somecollege=0
replace somecollege=1 if educ==7|educ==8
tab somecollege
gen collegeormore=0
replace collegeormore=1 if educ>8
tab collegeormore
